## org.eclipse.ocl.cst
Interface ClassifierContextDeclCS

All Superinterfaces:
  ContextDeclCS, CSTNode, EObject, Notifier

All Known Implementing Classes:
  ClassifierContextDeclCSImpl

    public interface ClassifierContextDeclCS

extends ContextDeclCS

A representation of the model object 'Classifier Context Decl CS'.

The following features are supported:

- `Path Name CS`
- `Inv Or Def CS`

See Also:
  `CSTPackage.getClassifierContextDeclCS()`

Method Summary
`InvOrDefCS` `getInvOrDefCS()` Returns the value of the 'Inv Or Def CS' containment reference
`PathNameCS` `getPathNameCS()` Returns the value of the 'Path Name CS' containment reference
`void` `setInvOrDefCS(InvOrDefCS value)` Sets the value of the '`Inv Or Def CS`' containment reference
`void` `setPathNameCS(PathNameCS value)` Sets the value of the '`Path Name CS`' containment reference

Methods inherited from interface org.eclipse.ocl.cst.CSTNode
`getEndOffset, getStartOffset, setEndOffset, setStartOffset`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getPathNameCS

    PathNameCS getPathNameCS()

  Returns the value of the 'Path Name CS' containment reference.

  If the meaning of the 'Path Name CS' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Path Name CS' containment reference.
  See Also:
    `setPathNameCS(PathNameCS)`, `CSTPackage.getClassifierContextDeclCS_PathNameCS()`

### setPathNameCS

    void setPathNameCS(PathNameCS value)

  Sets the value of the '`Path Name CS`' containment reference.

  Parameters:
    `value` - the new value of the 'Path Name CS' containment reference.
  See Also:
    `getPathNameCS()`

### getInvOrDefCS

    InvOrDefCS getInvOrDefCS()

  Returns the value of the 'Inv Or Def CS' containment reference.

  If the meaning of the 'Inv Or Def CS' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Inv Or Def CS' containment reference.
  See Also:
    `setInvOrDefCS(InvOrDefCS)`, `CSTPackage.getClassifierContextDeclCS_InvOrDefCS()`

### setInvOrDefCS

    void setInvOrDefCS(InvOrDefCS value)

  Sets the value of the '`Inv Or Def CS`' containment reference.

  Parameters:
    `value` - the new value of the 'Inv Or Def CS' containment reference.
  See Also:
    `getInvOrDefCS()`

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.